Subject: bug#10751: closed (Re: bug#10751: 24.0.93; BCC in Gnus isn't working)

From: [email-masked] (GNU bug Tracking System)
Date: Tue, 07 Feb 2012 21:54:02 +0000

Your bug report

#10751: 24.0.93; BCC in Gnus isn't working

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
10751: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=10751
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#10751: 24.0.93; BCC in Gnus isn't working
From: "Stephen Berman" <[email-masked]>
To: [email-masked]
Cc: Glenn Morris <[email-masked]>, Lars Ingebrigtsen <[email-masked]>
Date: 7 Feb 2012 22:52:44 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

On Tue, 07 Feb 2012 16:28:48 -0500 Glenn Morris <[email-masked]> wrote:

> "Stephen Berman" wrote:
>
>>> That's the nature of BCC, no?
>>
>> Not with an email I sent from Gnus last July; this is how it looks
>> (aside from the anonymization) in the Gnus Article buffer:
>
> Maybe you are talking about a Gnus archived copy (GCC?), which may or
> may not preserve any BCC field, I don't know. 

D'oh.  Of course you're right.  Moreover, I just checked with another
mail programm on the server of the address used in the Bcc: header line,
and the emails I sent are there.  I'm closing this bug.  Sorry for the
false alarm, and for the stupidity. (Maybe I can blame it on my current
bout of sinusitis...)

Steve Berman

Subject: 24.0.93; BCC in Gnus isn't working
From: "Stephen Berman" <[email-masked]>
To: [email-masked]
Date: 7 Feb 2012 12:13:26 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

1. emacs -Q with no ~/News directory.
2. I typed ` M-x gnus RET', then `y' at prompt "Continue?"  after
getting error 'news/nntp Name or service not known)' to proceed to empty
Gnus group buffer. 
3. Then I typed `C-x m' to open a buffer in Message mode, put a valid
email address in the To: header line, type `C-c C-f C-b' to add a Bcc:
header line and put a different valid email address in it, and completed
the email (subject, text).
4. Then I typed `C-c C-c' to send the email, using smtp with an existing
~/.authinfo. 

=> My mailbox received two copies of the email, both sent to the address
in the To: header line.  In both there is no Bcc: header line, and there
was no email sent to the address in the Bcc: header line.  I've tried
this three times, same result. Of course, this used work.

In GNU Emacs 24.0.93.1 (i686-suse-linux-gnu, GTK+ Version 2.24.7)
 of 2012-02-07 on escher
Windowing system distributor `The X.Org Foundation', version 11.0.11004000
Configured using:
 `configure '--without-toolkit-scroll-bars' 'CFLAGS=-g''

Important settings:
  value of $LC_ALL: nil
  value of $LC_COLLATE: nil
  value of $LC_CTYPE: nil
  value of $LC_MESSAGES: nil
  value of $LC_MONETARY: nil
  value of $LC_NUMERIC: nil
  value of $LC_TIME: nil
  value of $LANG: en_US.UTF-8
  value of $XMODIFIERS: @im=local
  locale-coding-system: utf-8-unix
  default enable-multibyte-characters: t